"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getUserPkgManager = exports.resolvePath = void 0;
const path_1 = require("path");
const resolvePath = (absoluteOrRelativePath, relativeTo = process.cwd()) => {
    if ((0, path_1.isAbsolute)(absoluteOrRelativePath))
        return absoluteOrRelativePath;
    return (0, path_1.resolve)(relativeTo, absoluteOrRelativePath).replace(/\\/g, '/');
};
exports.resolvePath = resolvePath;
function getUserPkgManager() {
    // This environment variable is set by npm and yarn but pnpm seems less consistent
    const userAgent = process.env.npm_config_user_agent;
    if (userAgent) {
        if (userAgent.startsWith('yarn')) {
            return 'yarn';
        }
        else if (userAgent.startsWith('pnpm')) {
            return 'pnpm';
        }
        else {
            return 'npm';
        }
    }
    else {
        // If no user agent is set, assume npm
        return 'npm';
    }
}
exports.getUserPkgManager = getUserPkgManager;
